namespace adas_core.Test.Repositories;

[TestFixture]
public class DisplayRepisitoryTest
{
    //private Mock<ILogger<DisplayRepository>> _mockLogger ;
    //private Mock<IOptions<ApiSettings>> _mockOptionsApiSettings ;

    [OneTimeSetUp]
    public async Task OneTimeSetUp()
    {
        //_mockLogger = new Mock<ILogger<DisplayRepository>>();
        //_mockOptionsApiSettings = new Mock<IOptions<ApiSettings>>();

        await IntegrationDb.Database.DropCollectionAsync("displays");
        await IntegrationDb.Database.CreateCollectionAsync("displays");
    }
}